curl -sS -X GET 'https://apipub.firstbasehq.com/api/v1/inventory-orders/{id}' \
-H 'Authorization: ApiKey YOUR_API_KEY' \
-H 'Accept: application/json'import requests
url = "https://apipub.firstbasehq.com/api/v1/inventory-orders/{id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://apipub.firstbasehq.com/api/v1/inventory-orders/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "123E4567-E89B-12D3-A456-426614174000",
"status": "PROCESSING",
"warehouse": {
"id": "123E4567-E89B-12D3-A456-426614174000",
"name": "SF Main Warehouse"
},
"reason": "ONE_OFF",
"firstbaseManaged": false,
"inventoryOrderItems": [
{
"id": "123E4567-E89B-12D3-A456-426614174000",
"status": "RECEIVED",
"sku": "123E4567-E89B-12D3-A456-426614174000",
"quantity": 2,
"type": "PHYSICAL",
"pricing": {
"id": "123E4567-E89B-12D3-A456-426614174000",
"price": 99900,
"unitPrice": 999
},
"discountedPrice": 999,
"warranty": "<unknown>",
"expectedShipDate": "2026-01-20"
}
],
"inventoryOrderShipments": [
{
"id": "123E4567-E89B-12D3-A456-426614174000",
"status": "SHIPPED",
"inventoryOrderShipmentItems": [
{
"id": "123E4567-E89B-12D3-A456-426614174000",
"inventoryOrderItem": "123E4567-E89B-12D3-A456-426614174000",
"quantity": 2,
"status": "RECEIVED",
"inventories": [
{
"id": "123E4567-E89B-12D3-A456-426614174000",
"deployStatus": "DEPLOYED",
"serialNumber": "SN123456789",
"warehouse": "Main Warehouse"
}
]
}
],
"shippingCarrier": "UPS",
"trackingCode": "1Z00000000",
"trackingUrl": "https://tracking.example.com/1Z00000000",
"trackingStatus": "IN_TRANSIT",
"trackingShipmentId": "123E4567-E89B-12D3-A456-426614174000",
"estimatedDeliveryDate": "2024-01-15",
"etaStart": "2024-01-14",
"etaEnd": "2024-01-16"
}
],
"friendlyOrderId": "ORD-000123",
"customerPoNumber": "PO-12345",
"billingType": "SUBSCRIPTION",
"submittedBy": {
"id": "123E4567-E89B-12D3-A456-426614174000",
"forename": "Jane",
"surname": "Doe"
},
"createdAt": "2026-02-26T14:15:22.123Z",
"updatedAt": "2026-03-15T09:00:00.000Z",
"expectedShipDate": "2026-03-10"
}{
"errors": [
{
"detail": "Invalid request",
"source": "request"
}
]
}{
"errors": [
{
"detail": "Invalid request",
"source": "request"
}
]
}{
"errors": [
{
"detail": "Invalid request",
"source": "request"
}
]
}Get inventory order
Returns a single inventory order (including items and shipments) belonging to the caller’s organization.
curl -sS -X GET 'https://apipub.firstbasehq.com/api/v1/inventory-orders/{id}' \
-H 'Authorization: ApiKey YOUR_API_KEY' \
-H 'Accept: application/json'import requests
url = "https://apipub.firstbasehq.com/api/v1/inventory-orders/{id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://apipub.firstbasehq.com/api/v1/inventory-orders/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "123E4567-E89B-12D3-A456-426614174000",
"status": "PROCESSING",
"warehouse": {
"id": "123E4567-E89B-12D3-A456-426614174000",
"name": "SF Main Warehouse"
},
"reason": "ONE_OFF",
"firstbaseManaged": false,
"inventoryOrderItems": [
{
"id": "123E4567-E89B-12D3-A456-426614174000",
"status": "RECEIVED",
"sku": "123E4567-E89B-12D3-A456-426614174000",
"quantity": 2,
"type": "PHYSICAL",
"pricing": {
"id": "123E4567-E89B-12D3-A456-426614174000",
"price": 99900,
"unitPrice": 999
},
"discountedPrice": 999,
"warranty": "<unknown>",
"expectedShipDate": "2026-01-20"
}
],
"inventoryOrderShipments": [
{
"id": "123E4567-E89B-12D3-A456-426614174000",
"status": "SHIPPED",
"inventoryOrderShipmentItems": [
{
"id": "123E4567-E89B-12D3-A456-426614174000",
"inventoryOrderItem": "123E4567-E89B-12D3-A456-426614174000",
"quantity": 2,
"status": "RECEIVED",
"inventories": [
{
"id": "123E4567-E89B-12D3-A456-426614174000",
"deployStatus": "DEPLOYED",
"serialNumber": "SN123456789",
"warehouse": "Main Warehouse"
}
]
}
],
"shippingCarrier": "UPS",
"trackingCode": "1Z00000000",
"trackingUrl": "https://tracking.example.com/1Z00000000",
"trackingStatus": "IN_TRANSIT",
"trackingShipmentId": "123E4567-E89B-12D3-A456-426614174000",
"estimatedDeliveryDate": "2024-01-15",
"etaStart": "2024-01-14",
"etaEnd": "2024-01-16"
}
],
"friendlyOrderId": "ORD-000123",
"customerPoNumber": "PO-12345",
"billingType": "SUBSCRIPTION",
"submittedBy": {
"id": "123E4567-E89B-12D3-A456-426614174000",
"forename": "Jane",
"surname": "Doe"
},
"createdAt": "2026-02-26T14:15:22.123Z",
"updatedAt": "2026-03-15T09:00:00.000Z",
"expectedShipDate": "2026-03-10"
}{
"errors": [
{
"detail": "Invalid request",
"source": "request"
}
]
}{
"errors": [
{
"detail": "Invalid request",
"source": "request"
}
]
}{
"errors": [
{
"detail": "Invalid request",
"source": "request"
}
]
}Authorizations
Prefix the value with "ApiKey" to indicate the custom authorization type
Path Parameters
Response
Inventory order found
Inventory order information
Order ID
"123E4567-E89B-12D3-A456-426614174000"
Order status
CANCELLED, COMPLETE, ORDERED, PARTIALLY_RECEIVED, PROCESSING, RECEIVED, SHIPPED, SUBMITTED "PROCESSING"
Warehouse information
Show child attributes
Show child attributes
Order reason
ONE_OFF, RESTOCK "ONE_OFF"
Whether this order is Firstbase Managed (snapshotted at create from region FM config and firstbase supplied). When true, item and warranty pricing is omitted (vendor pricing).
false
Inventory order items
Show child attributes
Show child attributes
Inventory order shipments
Show child attributes
Show child attributes
Human-readable friendly order ID (order number shown to customers). Null for orders created before this field was populated.
"ORD-000123"
Customer PO number
"PO-12345"
Billing type
SUBSCRIPTION, PURCHASED "SUBSCRIPTION"
Person who submitted the order
Show child attributes
Show child attributes
UTC ISO-8601 timestamp when the inventory order was created.
"2026-02-26T14:15:22.123Z"
UTC ISO-8601 timestamp when the inventory order was last updated.
"2026-03-15T09:00:00.000Z"
Date by which the inventory order is expected to ship (calendar date, no time component).
"2026-03-10"